--=======================================================================================================================
-- MASTER TABLES
--=======================================================================================================================
-------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text, Value integer default 1);
--=======================================================================================================================
-- GAME DEFINES
--=======================================================================================================================
-- Civilization_BuildingClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 		BuildingType)
SELECT	'CIVILIZATION_JAR_NANMADOL',	'BUILDINGCLASS_THEATRE','BUILDING_JAR_NAHS'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, 				UnitClassType, 			UnitType)
SELECT	'CIVILIZATION_JAR_NANMADOL', 	'UNITCLASS_TRIREME',	'UNIT_JAR_PROA'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--========================================================================================================================
-- BUILDINGS
--========================================================================================================================
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO BuildingClasses
		(Type, 							DefaultBuilding, 			Description)
VALUES	('BUILDINGCLASS_JAR_NAHSDUMMY','BUILDING_JAR_NAHSDUMMY',	 'TXT_KEY_BUILDING_JAR_NAHSDUMMY');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================
-- Buildings
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 	
		(Type, 					FinishLandTRTourism, FinishSeaTRTourism, Happiness, BuildingClass,	FreeStartEra,			 Cost, FaithCost, UnlockedByBelief, GoldMaintenance,	PrereqTech,	Description,					Civilopedia,								Help,								Strategy,								ArtDefineTag,	MinAreaSize,	NeverCapture,	HurryCostModifier,	Water, FreeBuildingThisCity, DisplayPosition, ArtInfoEraVariation, IconAtlas,				PortraitIndex)
SELECT	'BUILDING_JAR_NAHS',	FinishLandTRTourism, FinishSeaTRTourism, 2,			BuildingClass,	FreeStartEra, round(Cost*0.8), FaithCost, UnlockedByBelief, GoldMaintenance-2,	PrereqTech,	('TXT_KEY_BUILDING_JAR_NAHS'),	('TXT_KEY_CIV5_BUILDING_JAR_NAHS_TEXT'),	('TXT_KEY_BUILDING_JAR_NAHS_HELP'),	('TXT_KEY_BUILDING_JAR_NAHS_STRATEGY'),	ArtDefineTag,	MinAreaSize,	1,				HurryCostModifier,	Water, FreeBuildingThisCity, DisplayPosition, ArtInfoEraVariation, 'JAR_NANMADOL_ICON_ATLAS',	6
FROM Buildings WHERE (Type = 'BUILDING_THEATRE');
UPDATE Buildings SET BoredomFlatReduction =1 WHERE Type = 'BUILDING_JAR_NAHS';
INSERT INTO Buildings 
		(Type, 						BuildingClass,					IsDummy, Cost, 	FaithCost,	GreatWorkSlotType,	GreatWorkCount,	GoldMaintenance,	PrereqTech, NeverCapture,	Description, 						Help)
VALUES	('BUILDING_JAR_NAHSDUMMY', 'BUILDINGCLASS_JAR_NAHSDUMMY',		1,		-1, 	-1,			NULL,				-1,				0,					NULL,		1,			'TXT_KEY_BUILDING_JAR_NAHSDUMMY',	'TXT_KEY_BUILDING_JAR_NAHSDUMMY_HELP');
--------------------------------------------------------------------------------------------------------------------------	
-- Building_ClassesNeededInCity
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_ClassesNeededInCity
		(BuildingType, 			BuildingClassType)
SELECT	'BUILDING_JAR_NAHS',	BuildingClassType
FROM Building_ClassesNeededInCity WHERE (BuildingType = 'BUILDING_THEATRE');
--------------------------------------------------------------------------------------------------------------------------	
-- Building_Flavors
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 			FlavorType,			Flavor)
SELECT	'BUILDING_JAR_NAHS',	FlavorType,			Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_THEATRE') UNION ALL
SELECT	'BUILDING_JAR_NAHS',	'FLAVOR_PRODUCTION', 5 UNION ALL
SELECT	'BUILDING_JAR_NAHS',	'FLAVOR_RELIGION',  15 UNION ALL
SELECT	'BUILDING_JAR_NAHS',	'FLAVOR_HAPPINESS',	40;
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
		(BuildingType, 			YieldType,		Yield)
SELECT	'BUILDING_JAR_NAHS',	YieldType,		Yield FROM Building_YieldChanges WHERE (BuildingType = 'BUILDING_THEATRE') UNION ALL
SELECT	'BUILDING_JAR_NAHSDUMMY',	'YIELD_PRODUCTION', 5;
------------------------------	
-- Building_FeatureYieldChanges
------------------------------		
INSERT INTO Building_FeatureYieldChanges
		(BuildingType, 		FeatureType, YieldType, Yield)
SELECT	'BUILDING_JAR_NAHS',FeatureType, YieldType, Yield
FROM Building_FeatureYieldChanges WHERE (BuildingType = 'BUILDING_THEATRE');
------------------------------	
-- Building_InstantYield
------------------------------		
INSERT INTO Building_InstantYield
		(BuildingType, 		YieldType, Yield)
SELECT	'BUILDING_JAR_NAHS',YieldType, Yield
FROM Building_InstantYield WHERE (BuildingType = 'BUILDING_THEATRE');
--------------------------------------------------------------------------------------------------------------------------	
-- Building_ImprovementYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 		ImprovementType, YieldType, 		Yield)
SELECT	'BUILDING_JAR_NAHS', Type, 			'YIELD_CULTURE', 	1 FROM Improvements where Type in ('IMPROVEMENT_FARM', 'IMPROVEMENT_PLANTATION') UNION ALL
SELECT	'BUILDING_JAR_NAHS', Type, 			'YIELD_FAITH', 		2 FROM Improvements where Type in ('IMPROVEMENT_FARM', 'IMPROVEMENT_PLANTATION');
--------------------------------------------------------------------------------------------------------------------------	
-- Building_BuildingClassYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_BuildingClassYieldChanges
		(BuildingType, 		 BuildingClassType, 	 YieldType, YieldChange)
SELECT	'BUILDING_JAR_NAHS', BuildingClassType, 	 YieldType, YieldChange FROM Building_BuildingClassYieldChanges WHERE BuildingType= 'BUILDING_THEATRE' UNION ALL
SELECT	'BUILDING_JAR_NAHS', 'BUILDINGCLASS_PALACE', Type, 		1 FROM Yields WHERE Type in ('YIELD_PRODUCTION', 'YIELD_GREAT_GENERAL_POINTS');
--==========================================================================================================================	
-- UNITS
--==========================================================================================================================
-- UnitPromotions
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitPromotions 
		(Type, 						Description, 						 Help, 									Sound, 			LostWithUpgrade, OrderPriority, CannotBeChosen,	PortraitIndex, 	IconAtlas,					PediaType, 			PediaEntry)
VALUES	('PROMOTION_JAR_PROA', 		'TXT_KEY_PROMOTION_JAR_PROA', 	 	'TXT_KEY_PROMOTION_JAR_PROA_HELP',		'AS2D_IF_LEVELUP',	1,				 0, 			1,			 4, 			'JAR_NANMADOL_PROMO_ATLAS', 'PEDIA_NAVAL', 		'TXT_KEY_PROMOTION_JAR_PROA'),
		('PROMOTION_JAR_PACIFARER', 'TXT_KEY_PROMOTION_JAR_PACIFARER',	'TXT_KEY_PROMOTION_JAR_PACIFARER_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,			 5, 			'JAR_NANMADOL_PROMO_ATLAS', 'PEDIA_NAVAL', 		'TXT_KEY_PROMOTION_JAR_PACIFARER');
UPDATE UnitPromotions SET ExtraWithdrawal= 25 WHERE Type = 'PROMOTION_JAR_PROA';
UPDATE UnitPromotions SET GainsXPFromScouting=1 WHERE Type = 'PROMOTION_JAR_PACIFARER';
--------------------------------------------------------------------------------------------------------------------------
-- UnitPromotions_YieldFromScouting
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitPromotions_YieldFromScouting
		(PromotionType, 			YieldType, Yield)
VALUES	('PROMOTION_JAR_PACIFARER', 'YIELD_CULTURE', 1),
		('PROMOTION_JAR_PACIFARER', 'YIELD_GOLDEN_AGE_POINTS', 1);
--------------------------------------------------------------------------------------------------------------------------
-- Units
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Units 	
		(Type, 				PrereqTech, ObsoleteTech, 	Combat, Cost, 	Class, FaithCost, RequiresFaithPurchaseEnabled, Moves, 		CombatClass, Domain, DefaultUnitAI, Description, 				Civilopedia, 					Help, 							Strategy,							MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, CombatLimit, XPValueAttack, XPValueDefense, PurchaseCooldown, BaseLandAirDefense, IsMounted, GoodyHutUpgradeUnitClass, UnitArtInfo,				UnitFlagIconOffset,	UnitFlagAtlas,				MoveRate,	PortraitIndex, 	IconAtlas)
SELECT	'UNIT_JAR_PROA',	PrereqTech, ObsoleteTech,	Combat, Cost, 	Class, FaithCost, RequiresFaithPurchaseEnabled, Moves+1, 	CombatClass, Domain, DefaultUnitAI, ('TXT_KEY_UNIT_JAR_PROA'), 	('TXT_KEY_UNIT_JAR_PROA_TEXT'), ('TXT_KEY_UNIT_JAR_PROA_HELP'), ('TXT_KEY_UNIT_JAR_PROA_STRATEGY'), MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, CombatLimit, XPValueAttack, XPValueDefense, PurchaseCooldown, BaseLandAirDefense, IsMounted, GoodyHutUpgradeUnitClass, ('ART_DEF_UNIT_JAR_PROA'),  0,				'UNIT_JAR_PROA_FLAG_ATLAS',	MoveRate,	5, 				('JAR_NANMADOL_ICON_ATLAS')
FROM Units WHERE (Type = 'UNIT_TRIREME');
------------------------------
-- UnitGameplay2DScripts
------------------------------
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 			SelectionSound, FirstSelectionSound)
SELECT	'UNIT_JAR_PROA', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_TRIREME');
------------------------------
-- Unit_AITypes
------------------------------
INSERT INTO Unit_AITypes 	
		(UnitType, 			UnitAIType)
SELECT	'UNIT_JAR_PROA', 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_TRIREME');
------------------------------
-- Unit_Flavors
------------------------------
INSERT INTO Unit_Flavors 	
		(UnitType, 			FlavorType, Flavor)
SELECT	'UNIT_JAR_PROA', 	FlavorType, Flavor FROM Unit_Flavors WHERE (UnitType = 'UNIT_TRIREME') UNION ALL
SELECT	'UNIT_JAR_PROA',	'FLAVOR_CULTURE',	2  UNION ALL
SELECT	'UNIT_JAR_PROA',	'FLAVOR_SCIENCE',	2;
------------------------------
-- Unit_ClassUpgrades
------------------------------
INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 			UnitClassType)
SELECT	'UNIT_JAR_PROA',	UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_TRIREME');
------------------------------
-- Unit_FreePromotions
------------------------------
INSERT INTO Unit_FreePromotions 	
		(UnitType, 			PromotionType)
SELECT	'UNIT_JAR_PROA', 	PromotionType FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_TRIREME') UNION ALL
SELECT	'UNIT_JAR_PROA', 	'PROMOTION_JAR_PROA' UNION ALL
SELECT	'UNIT_JAR_PROA', 	'PROMOTION_JAR_PACIFARER';
DELETE FROM Unit_FreePromotions WHERE UnitType='UNIT_JAR_PROA' AND PromotionType='PROMOTION_OCEAN_IMPASSABLE';
--======================================================================================================
CREATE TABLE IF NOT EXISTS Civilization_4UCSupport (
	CivilizationType	varchar(255),
	Has4UCSupport		bool
);
INSERT INTO	Civilization_4UCSupport
		(CivilizationType, Has4UCSupport)
VALUES	('CIVILIZATION_JAR_NANMADOL', 1);
--==========================================================================================================================
--==========================================================================================================================