--=======================================================================================================================
-- MASTER TABLES
--=======================================================================================================================
-------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text, Value integer default 1);
-------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO CustomModOptions(Name, Value) VALUES
('EVENTS_CUSTOM_MISSIONS', 1),('EVENTS_RED_COMBAT', 1),('EVENTS_RED_COMBAT_ABORT', 1), ('EVENTS_RED_TURN',1),
('EVENTS_RED_COMBAT_ENDED', 1),('EVENTS_RED_COMBAT_MISSION', 1),('EVENTS_RED_COMBAT_RESULT', 1),('EVENTS_UNIT_FOUNDED', 1);
--=======================================================================================================================
-- GAME DEFINES
--=======================================================================================================================
------------------------------------------------------------------------------------------------------------------------
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses
		(Type, 							DefaultBuilding, 			Description)
VALUES	('BUILDINGCLASS_JAR_GAKEPDUMMY','BUILDING_JAR_GAKEPDUMMY',	 'TXT_KEY_BUILDING_JAR_GAKEPDUMMY');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================
-- Buildings
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Buildings 	
		(Type, 					CitySupplyFlat, FinishSeaTRTourism, BuildingClass,	FreeStartEra,	Cost, FaithCost, UnlockedByBelief, GoldMaintenance,	PrereqTech,	Description,						Civilopedia,								Help,									Strategy,									ArtDefineTag,	MinAreaSize,	NeverCapture,	HurryCostModifier,	Water, ExtraCityHitPoints, TradeRouteSeaDistanceModifier, TradeRouteSeaGoldBonus, FreeBuildingThisCity, DisplayPosition, ArtInfoEraVariation, IconAtlas,				PortraitIndex)
SELECT	'BUILDING_JAR_KEPIDAU',	CitySupplyFlat, FinishSeaTRTourism, BuildingClass,	FreeStartEra,	Cost, FaithCost, UnlockedByBelief, GoldMaintenance,	PrereqTech,	('TXT_KEY_BUILDING_JAR_KEPIDAU'),	('TXT_KEY_CIV5_BUILDING_JAR_KEPIDAU_TEXT'),	('TXT_KEY_BUILDING_JAR_KEPIDAU_HELP'),	('TXT_KEY_BUILDING_JAR_KEPIDAU_STRATEGY'),	ArtDefineTag,	MinAreaSize,	1,				HurryCostModifier,	Water, ExtraCityHitPoints, TradeRouteSeaDistanceModifier, TradeRouteSeaGoldBonus, FreeBuildingThisCity, DisplayPosition, ArtInfoEraVariation, 'JAR_NANMADOL_ICON_ATLAS',	3
FROM Buildings WHERE (Type = 'BUILDING_HARBOR');
UPDATE Buildings SET TrainedFreePromotion='PROMOTION_JAR_KEPIDAU_MOVE' WHERE Type = 'BUILDING_JAR_KEPIDAU'
AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='JAR_NANMADOL_KEPIDAU_AIRLIFT' AND Value= 0);

INSERT INTO Buildings 
		(Type, 						BuildingClass,					IsDummy, Cost, 	FaithCost,	GreatWorkSlotType,	GreatWorkCount,	GoldMaintenance,	PrereqTech, NeverCapture,	Description, 						Help)
VALUES	('BUILDING_JAR_GAKEPDUMMY', 'BUILDINGCLASS_JAR_GAKEPDUMMY',		1,		-1, 	-1,			NULL,				-1,				0,					NULL,		1,			'TXT_KEY_BUILDING_JAR_GAKEPDUMMY',	'TXT_KEY_BUILDING_JAR_GAKEPDUMMY_HELP');
UPDATE Buildings SET Water= 1, AirLift=1 WHERE Type = 'BUILDING_JAR_GAKEPDUMMY';
--------------------------------------------------------------------------------------------------------------------------	
-- Building_ClassesNeededInCity
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_ClassesNeededInCity
		(BuildingType, 			BuildingClassType)
SELECT	'BUILDING_JAR_KEPIDAU',	BuildingClassType
FROM Building_ClassesNeededInCity WHERE (BuildingType = 'BUILDING_HARBOR');
--------------------------------------------------------------------------------------------------------------------------	
-- Building_Flavors
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 			FlavorType,			Flavor)
SELECT	'BUILDING_JAR_KEPIDAU',	FlavorType,			Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_HARBOR') UNION ALL
SELECT	'BUILDING_JAR_KEPIDAU',	'FLAVOR_AIRLIFT',	10;
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
		(BuildingType, 			YieldType,		Yield)
SELECT	'BUILDING_JAR_KEPIDAU',	YieldType,		Yield
FROM Building_YieldChanges WHERE (BuildingType = 'BUILDING_HARBOR');
------------------------------	
-- Building_SeaPlotYieldChanges
------------------------------		
INSERT INTO Building_SeaPlotYieldChanges 	
		(BuildingType, 			YieldType,		Yield)
SELECT	'BUILDING_JAR_KEPIDAU',	YieldType,		Yield
FROM Building_SeaPlotYieldChanges WHERE (BuildingType = 'BUILDING_HARBOR');
------------------------------	
-- Building_ResourceYieldChanges
------------------------------		
INSERT INTO Building_ResourceYieldChanges 	
		(BuildingType, 			ResourceType,	YieldType,		Yield)
SELECT	'BUILDING_JAR_KEPIDAU',	ResourceType,	YieldType,		Yield
FROM Building_ResourceYieldChanges WHERE (BuildingType = 'BUILDING_HARBOR');
------------------------------	
-- Building_SeaResourceYieldChanges
------------------------------		
INSERT INTO Building_SeaResourceYieldChanges 	
		(BuildingType, 			YieldType,		Yield)
SELECT	'BUILDING_JAR_KEPIDAU',	YieldType,		Yield
FROM Building_SeaResourceYieldChanges WHERE (BuildingType = 'BUILDING_HARBOR');
--------------------------------------------------------------------------------------------------------------------------	
-- Building_ImprovementYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 			ImprovementType, YieldType, 			Yield)
SELECT	'BUILDING_JAR_KEPIDAU', Type, 			'YIELD_CULTURE', 			1 FROM Improvements where Type in ('IMPROVEMENT_FISHING_BOATS', 'IMPROVEMENT_QUARRY') UNION ALL
SELECT	'BUILDING_JAR_KEPIDAU', Type, 			'YIELD_PRODUCTION', 		1 FROM Improvements where Type in ('IMPROVEMENT_FISHING_BOATS', 'IMPROVEMENT_QUARRY') UNION ALL
SELECT	'BUILDING_JAR_KEPIDAU', Type, 			'YIELD_GOLDEN_AGE_POINTS',  1 FROM Improvements where Type in ('IMPROVEMENT_FISHING_BOATS', 'IMPROVEMENT_QUARRY');
--==========================================================================================================================	
-- UNITS
--==========================================================================================================================
-- UnitPromotions
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitPromotions 
		(Type, 							Description, 					 Help, 									Sound, 			LostWithUpgrade, OrderPriority, CannotBeChosen,	PortraitIndex, 	IconAtlas,			PediaType, 			PediaEntry)
VALUES	('PROMOTION_JAR_NAHNKEN', 		'TXT_KEY_PROMOTION_JAR_NAHNKEN', 'TXT_KEY_PROMOTION_JAR_NAHNKEN_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,			0, 				'JAR_NANMADOL_PROMO_ATLAS', 'PEDIA_CIVILIAN', 	'TXT_KEY_PROMOTION_JAR_NAHNKEN'),
		('PROMOTION_JAR_GACLAIMSEALUX',	'TXT_KEY_PROMOTION_JAR_GACLAIMSEALUX','TXT_KEY_PROMOTION_JAR_GACLAIMSEALUX_HELP',	'AS2D_IF_LEVELUP',	0,	 0, 			1,			1, 				'JAR_NANMADOL_PROMO_ATLAS', 'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_GACLAIMSEALUX'),
		('PROMOTION_JAR_NANMADOL', 		'TXT_KEY_PROMOTION_JAR_NANMADOL','TXT_KEY_PROMOTION_JAR_NANMADOL_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,			2, 				'JAR_NANMADOL_PROMO_ATLAS', 'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_NANMADOL'),
		('PROMOTION_JAR_NANMADOL_CORAL','TXT_KEY_PROMOTION_JAR_NANMADOL_CORAL','TXT_KEY_PROMOTION_JAR_NANMADOL_HELP_CORAL',	'AS2D_IF_LEVELUP',	0,	 0, 			1,			3, 				'JAR_NANMADOL_PROMO_ATLAS', 'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_NANMADOL_CORAL'),
		('PROMOTION_JAR_KEPIDAU_MOVE',	'TXT_KEY_PROMOTION_JAR_KEPIDAU_MOVE','TXT_PROMOTION_JAR_KEPIDAU_MOVE_HELP',	'AS2D_IF_LEVELUP',	0,	 		 0, 			1,			18, 			'promoVP_atlas_01', 		'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_KEPIDAU_MOVE'),
		('PROMOTION_JAR_KEPIDAU_MOVE2',	'TXT_KEY_PROMOTION_JAR_KEPIDAU_MOVE2','TXT_PROMOTION_JAR_KEPIDAU_MOVE2_HELP',	'AS2D_IF_LEVELUP',	0,	 	 0, 			1,			34, 			'promoVP_atlas_01', 		'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_KEPIDAU_MOVE2'),
		('PROMOTION_JAR_KEPIDAU_MOVE3',	'TXT_KEY_PROMOTION_JAR_KEPIDAU_MOVE2','TXT_PROMOTION_JAR_KEPIDAU_MOVE2_HELP',	'AS2D_IF_LEVELUP',	0,	 	 0, 			1,			34, 			'promoVP_atlas_01', 		'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_KEPIDAU_MOVE2');
UPDATE UnitPromotions SET DefenseMod= 50 WHERE Type = 'PROMOTION_JAR_NANMADOL_CORAL';
UPDATE UnitPromotions SET EmbarkExtraVisibility=2 WHERE Type = 'PROMOTION_JAR_KEPIDAU_MOVE';
UPDATE UnitPromotions SET MovesChange=1 WHERE Type = 'PROMOTION_JAR_KEPIDAU_MOVE2';
UPDATE UnitPromotions SET MovesChange=3 WHERE Type = 'PROMOTION_JAR_KEPIDAU_MOVE3';

INSERT INTO UnitPromotions_UnitCombats
		(PromotionType, 				UnitCombatType)
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_ARCHAEOLOGIST' 	UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_ARCHER' 		UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_ARMOR' 			UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_DIPLOMACY' 		UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_GUN' 			UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_INQUISITOR' 	UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_MELEE' 			UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_MISSIONARY' 	UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_MOUNTED' 		UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_RECON' 			UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_SETTLER' 		UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_SIEGE' 			UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_SPACESHIP_PART' UNION ALL
SELECT	'PROMOTION_JAR_KEPIDAU_MOVE',	'UNITCOMBAT_WORKER';
--------------------------------------------------------------------------------------------------------------------------
-- UnitPromotions_Features
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitPromotions_Features
		(PromotionType, 			FeatureType, Defense)
SELECT	'PROMOTION_JAR_NANMADOL', 	Type, 		50
FROM Features where Type in ('FEATURE_ATOLL','FEATURE_REEF','FEATURE_NEW_REEF_A','FEATURE_NEW_REEF_B','FEATURE_NEW_REEF_C');
--------------------------------------------------------------------------------------------------------------------------
-- Units
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Units 	
		(Type,				Class, ShowInPedia, Cost, FaithCost, Moves, CivilianAttackPriority, Special, MoveAfterPurchase, Domain, DefaultUnitAI, Description, 				Civilopedia, 							Help, 							Strategy,						 	 AdvancedStartCost,	WorkRate, CombatLimit, DontShowYields, UnitArtInfoEraVariation,	UnitArtInfo, UnitFlagIconOffset,	UnitFlagAtlas,				MoveRate, PortraitIndex, 	IconAtlas)
SELECT	'UNIT_JAR_NAHNKEN',	Class, ShowInPedia, Cost, FaithCost, Moves, CivilianAttackPriority, Special, MoveAfterPurchase, Domain, DefaultUnitAI, 'TXT_KEY_UNIT_JAR_NAHNKEN',	'TXT_KEY_CIV5_UNIT_JAR_NAHNKEN_TEXT', 	'TXT_KEY_UNIT_JAR_NAHNKEN_HELP', 'TXT_KEY_UNIT_JAR_NAHNKEN_STRATEGY',AdvancedStartCost, WorkRate, CombatLimit, DontShowYields, 0,						'ART_DEF_UNIT_JAR_NAHNKEN',	0,	'UNIT_JAR_NAHNKEN_FLAG_ATLAS',	MoveRate, 2, 				'JAR_NANMADOL_ICON_ATLAS'
FROM Units WHERE Type = 'UNIT_GREAT_GENERAL';

INSERT INTO UnitClasses
		(Type, 					DefaultUnit)
SELECT	'UNITCLASS_JAR_ATOLLER','UNIT_JAR_ATOLLER';
INSERT INTO Units
		(Type,				Class, 					ShowInPedia, Cost, FaithCost, Domain, 		Moves, WorkRate, Special, CivilianAttackPriority, DefaultUnitAI, MoveRate, Description, PortraitIndex, 	IconAtlas)
SELECT	'UNIT_JAR_ATOLLER',	'UNITCLASS_JAR_ATOLLER', 0,			 -1,		-1,	  'DOMAIN_SEA', Moves, WorkRate, Special, CivilianAttackPriority, DefaultUnitAI, MoveRate, Description, PortraitIndex, 	IconAtlas
FROM Units WHERE Type = 'UNIT_WORKER';
--------------------------------
-- UnitGameplay2DScripts
--------------------------------
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT		'UNIT_JAR_NAHNKEN', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_GENERAL';
------------------------------
-- Unit_AITypes
------------------------------	
INSERT INTO Unit_AITypes
		(UnitType, 			UnitAIType)
SELECT	'UNIT_JAR_NAHNKEN', UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_GREAT_GENERAL';
--------------------------------	
-- Unit_Flavors
--------------------------------		
INSERT INTO Unit_Flavors 	
		(UnitType, 			FlavorType, Flavor)
SELECT	'UNIT_JAR_NAHNKEN', FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_GREAT_GENERAL';
------------------------------
-- Unit_Builds
------------------------------	
INSERT INTO Unit_Builds 	
		(UnitType, 			BuildType)
SELECT	'UNIT_JAR_NAHNKEN', 'BUILD_CITADEL' UNION ALL
SELECT	'UNIT_JAR_NAHNKEN', 'BUILD_JAR_NAHNKEN_IN' UNION ALL
SELECT	'UNIT_JAR_NAHNKEN', 'BUILD_JAR_NAHNKEN_OUT';

INSERT INTO Unit_Builds 	
		(UnitType, 			BuildType)
SELECT	'UNIT_JAR_ATOLLER', 'BUILD_JAR_DUMMY_ATOLL';
------------------------------
-- Unit_FreePromotions
------------------------------	
INSERT INTO Unit_FreePromotions 	
		(UnitType, 			PromotionType)
SELECT	'UNIT_JAR_NAHNKEN', PromotionType FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_GENERAL' UNION ALL
SELECT	'UNIT_JAR_NAHNKEN', 'PROMOTION_JAR_NAHNKEN';
------------------------------
-- UnitPromotions_CivilianUnitType
------------------------------
INSERT INTO UnitPromotions_CivilianUnitType
		(PromotionType, UnitType)
SELECT	PromotionType, 'UNIT_JAR_NAHNKEN'
FROM UnitPromotions_CivilianUnitType WHERE UnitType = 'UNIT_GREAT_GENERAL';
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================	
-- Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Traits
		(Type,					Description,					ShortDescription)
VALUES	('TRAIT_JAR_NANMADOL',	'TXT_KEY_TRAIT_JAR_NANMADOL',	'TXT_KEY_TRAIT_JAR_NANMADOL_SHORT');
--------------------------------------------------------------------------------------------------------------------------
-- Trait_FreePromotionUnitCombats
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Trait_FreePromotionUnitCombats
		(TraitType, 			UnitCombatType, PromotionType)
SELECT	'TRAIT_JAR_NANMADOL', 	Type, 			'PROMOTION_JAR_NANMADOL' FROM UnitCombatInfos UNION ALL
SELECT  'TRAIT_JAR_NANMADOL', 	Type, 			'PROMOTION_JAR_GACLAIMSEALUX' FROM UnitCombatInfos
WHERE Type in ('UNITCOMBAT_NAVALMELEE', 'UNITCOMBAT_NAVALRANGED', 'UNITCOMBAT_SUBMARINE', 'UNITCOMBAT_CARRIER', 'UNITCOMBAT_CARGO');
--------------------------------------------------------------------------------------------------------------------------
-- Trait_FeatureYieldChanges
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Trait_FeatureYieldChanges
		(TraitType,				FeatureType,	 YieldType,		Yield)
SELECT	'TRAIT_JAR_NANMADOL',	'FEATURE_ATOLL', Type,			2 FROM Yields where Type IN('YIELD_GOLDEN_AGE_POINTS','YIELD_CULTURE') UNION ALL
SELECT	'TRAIT_JAR_NANMADOL',	'FEATURE_REEF', Type,			2 FROM Yields where Type IN('YIELD_GOLDEN_AGE_POINTS','YIELD_CULTURE') UNION ALL
SELECT	'TRAIT_JAR_NANMADOL',	'FEATURE_NEW_REEF_A', Type,		2 FROM Yields where Type IN('YIELD_GOLDEN_AGE_POINTS','YIELD_CULTURE') UNION ALL
SELECT	'TRAIT_JAR_NANMADOL',	'FEATURE_NEW_REEF_B', Type,		2 FROM Yields where Type IN('YIELD_GOLDEN_AGE_POINTS','YIELD_CULTURE') UNION ALL
SELECT	'TRAIT_JAR_NANMADOL',	'FEATURE_NEW_REEF_C', Type,		2 FROM Yields where Type IN('YIELD_GOLDEN_AGE_POINTS','YIELD_CULTURE');
--------------------------------------------------------------------------------------------------------------------------
-- Trait_ResourceYieldChanges
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Trait_ResourceYieldChanges
		(TraitType,				ResourceType,	 YieldType,		Yield)
SELECT	'TRAIT_JAR_NANMADOL',	'RESOURCE_CORAL', Type,			2 FROM Yields where Type IN ('YIELD_GOLDEN_AGE_POINTS','YIELD_CULTURE');
--------------------------------------------------------------------------------------------------------------------------
-- Trait_BuildsUnitClasses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Trait_BuildsUnitClasses	
		(TraitType, 			UnitClassType, 		BuildType)
SELECT	'TRAIT_JAR_NANMADOL', 	'UNITCLASS_WORKER', Type||'_JAR_ATOLL' from Builds
where Type in ('BUILD_CITADEL', 'BUILD_ACADEMY', 'BUILD_CUSTOMS_HOUSE', 'BUILD_MANUFACTORY', 'BUILD_HOLY_SITE');
------------------------------
-- Missions
------------------------------	
INSERT INTO Missions
		(Type,							Description, 							Help,										DisabledHelp,									Time,	Build,	Target, Sound,	HotKey,	HotKeyPriority, OrderPriority,	Visible, EntityEventType, 			IconIndex, IconAtlas)
SELECT	'MISSION_JAR_GA_CLAIMSEALUX',	'TXT_KEY_MISSION_JAR_GA_CLAIMSEALUX',	'TXT_KEY_MISSION_JAR_GA_CLAIMSEALUX_HELP',	'TXT_KEY_MISSION_JAR_GA_CLAIMSEALUX_DISABLED',	20,		0,		0,		0,		'KB_U',	2,				150,			1,		 NULL,						35,		    'UNIT_ACTION_ATLAS';
--==========================================================================================================================	
-- BUILDS
--==========================================================================================================================	
-- Builds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Builds
		(Type, 				Water, CanBeEmbarked, ShowInTechTree, ShowInPedia, 			PrereqTech, Description, Help, Recommendation, OrderPriority, Time, Kill, ImprovementType, 			 	EntityEvent, IconIndex, IconAtlas)
SELECT  Type||'_JAR_ATOLL', 	1,			   1, 0, 			  			0, 'TECH_CONSTRUCTION', Description, Help, Recommendation, OrderPriority, 1200,	  0, ImprovementType||'_JAR_ATOLL',	EntityEvent, IconIndex, IconAtlas
from Builds where Type in ('BUILD_CITADEL', 'BUILD_ACADEMY', 'BUILD_CUSTOMS_HOUSE', 'BUILD_MANUFACTORY', 'BUILD_HOLY_SITE');

INSERT INTO Builds
		(Type, 						ImprovementType,			Water, CanBeEmbarked, Description, 					Help, 								Recommendation, 				 OrderPriority, Kill, EntityEvent, 			IconIndex, IconAtlas)
SELECT	'BUILD_JAR_NAHNKEN_IN',  'IMPROVEMENT_JAR_NAHNKEN_IN',		1,			   1, 'TXT_KEY_BUILD_JAR_NAHNKEN',	'TXT_KEY_BUILD_JAR_NAHNKEN_HELP',	'TXT_KEY_BUILD_JAR_NAHNKEN_REC',			96,	   1, 'ENTITY_EVENT_BUILD',	0,			'JAR_NAHNKEN_ACTION_ATLAS' UNION ALL
SELECT	'BUILD_JAR_NAHNKEN_OUT', 'IMPROVEMENT_JAR_NAHNKEN_OUT',		1,			   1, 'TXT_KEY_BUILD_JAR_NAHNKEN',	'TXT_KEY_BUILD_JAR_NAHNKEN_HELP',	'TXT_KEY_BUILD_JAR_NAHNKEN_REC',			96,	   1, 'ENTITY_EVENT_BUILD',	0,			'JAR_NAHNKEN_ACTION_ATLAS' UNION ALL
SELECT	'BUILD_JAR_DUMMY_ATOLL',  'IMPROVEMENT_JAR_DUMMY_ATOLL',	1,			   0, 'TXT_KEY_BUILD_JAR_NAHNKEN',	'TXT_KEY_BUILD_JAR_NAHNKEN_HELP',	'TXT_KEY_BUILD_JAR_NAHNKEN_REC',			96,	   1, 'ENTITY_EVENT_BUILD',	0,			'JAR_NAHNKEN_ACTION_ATLAS';
--==========================================================================================================================	
-- IMPROVEMENTS
--==========================================================================================================================	
-- Improvements
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Improvements
		(Type, 							Water, AllowsWalkWater,	OwnerOnly, ArtDefineTag, 			 Description)
SELECT   'IMPROVEMENT_JAR_NAHNKEN_IN', 	1,				 	1,			 1, 'ART_DEF_FEATURE_ATOLL', 'TXT_KEY_IMPROVEMENT_JAR_NAHNKEN' UNION ALL
SELECT   'IMPROVEMENT_JAR_NAHNKEN_OUT', 1,				 	1,			 1, 'ART_DEF_FEATURE_ATOLL', 'TXT_KEY_IMPROVEMENT_JAR_NAHNKEN' UNION ALL
SELECT   'IMPROVEMENT_JAR_DUMMY_ATOLL', 1,				 	0,			 1, 'ART_DEF_FEATURE_ATOLL', 'TXT_KEY_IMPROVEMENT_JAR_NAHNKEN';
UPDATE Improvements SET CreatedByGreatPerson=1, NoTwoAdjacent=1,
CultureBombRadius=1, RemoveWhenComplete=1,  CreatesFeature='FEATURE_ATOLL'
where Type ='IMPROVEMENT_JAR_NAHNKEN_IN';
UPDATE Improvements SET CreatedByGreatPerson=1, NoTwoAdjacent=1, InAdjacentFriendly=1, CultureBombRadius=1,
RemoveWhenComplete=1,  CreatesFeature='FEATURE_ATOLL'
where Type ='IMPROVEMENT_JAR_NAHNKEN_OUT';
UPDATE Improvements SET OutsideBorders=1,
RemoveWhenComplete=1,  CreatesFeature='FEATURE_ATOLL'
where Type ='IMPROVEMENT_JAR_DUMMY_ATOLL';

INSERT INTO Improvements
		(Type, 				Water, AllowsWalkWater,	RequiresFeature, MakesPassable, WonderProductionModifier, OwnerOnly, DisplacePillager, Description, Civilopedia, Help, ArtDefineTag, BuildableOnResources, CreatedByGreatPerson, NoTwoAdjacent, DefenseModifier, NearbyEnemyDamage, PillageGold, GoldMaintenance, CultureBombRadius,  PortraitIndex, IconAtlas)
SELECT  Type||'_JAR_ATOLL', 1,					 1,				  1,			 1, 					  10, OwnerOnly, 				1, Description, Civilopedia, Help, ArtDefineTag, 					0, 				      0, 		     1, DefenseModifier, NearbyEnemyDamage, PillageGold, GoldMaintenance, CultureBombRadius,  PortraitIndex, IconAtlas
from Improvements where Type in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE');
--------------------------------
-- Improvement_Flavors
--------------------------------
INSERT INTO Improvement_Flavors
		(ImprovementType,			   		FlavorType, 	Flavor)
SELECT	'IMPROVEMENT_ACADEMY_JAR_ATOLL', 	'FLAVOR_SCIENCE', 	30 UNION ALL
SELECT	'IMPROVEMENT_CUSTOMS_HOUSE_JAR_ATOLL','FLAVOR_GOLD', 	30 UNION ALL
SELECT	'IMPROVEMENT_MANUFACTORY_JAR_ATOLL','FLAVOR_PRODUCTION',30 UNION ALL
SELECT	'IMPROVEMENT_HOLY_SITE_JAR_ATOLL', 'FLAVOR_RELIGION', 	30 UNION ALL
SELECT	'IMPROVEMENT_HOLY_SITE_JAR_ATOLL', 'FLAVOR_CULTURE', 	50 UNION ALL
SELECT	Type, 'FLAVOR_EXPANSION', 25 	from Improvements where Type in ('IMPROVEMENT_JAR_NAHNKEN_IN', 'IMPROVEMENT_JAR_NAHNKEN_OUT') UNION ALL
SELECT	Type, 'FLAVOR_CULTURE', 10 		from Improvements where Type in ('IMPROVEMENT_JAR_NAHNKEN_IN', 'IMPROVEMENT_JAR_NAHNKEN_OUT') UNION ALL
SELECT	Type, 'FLAVOR_PRODUCTION', 20 	from Improvements where Type in ('IMPROVEMENT_JAR_NAHNKEN_IN', 'IMPROVEMENT_JAR_NAHNKEN_OUT') UNION ALL
SELECT	Type, 'FLAVOR_CITY_DEFENSE',10 	from Improvements where Type in ('IMPROVEMENT_JAR_NAHNKEN_IN', 'IMPROVEMENT_JAR_NAHNKEN_OUT');
--------------------------------------------------------------------------------------------------------------------------
-- Improvement_ValidTerrains
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Improvement_ValidTerrains
		(ImprovementType, 	TerrainType)
SELECT 	Type, 				'TERRAIN_COAST'
from Improvements where Type in ('IMPROVEMENT_JAR_NAHNKEN_IN', 'IMPROVEMENT_JAR_NAHNKEN_OUT','IMPROVEMENT_JAR_DUMMY_ATOLL');
--------------------------------------------------------------------------------------------------------------------------
-- Improvement_ValidFeatures
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Improvement_ValidFeatures
		(ImprovementType, 	FeatureType)
SELECT 	Type||'_JAR_ATOLL', 'FEATURE_ATOLL'
from Improvements where Type in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE');

UPDATE Features SET NoImprovement=0 WHERE Type ='FEATURE_ATOLL';
DELETE FROM Improvement_ValidFeatures WHERE ImprovementType ='IMPROVEMENT_FISHING_BOATS' AND FeatureType='FEATURE_ATOLL';
--------------------------------------------------------------------------------------------------------------------------
-- Improvement_RouteYieldChanges
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Improvement_RouteYieldChanges
		(ImprovementType, 				RouteType, YieldType, Yield)
SELECT 	ImprovementType||'_JAR_ATOLL',  RouteType, YieldType, Yield
from Improvement_RouteYieldChanges where ImprovementType in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE');
------------------------------
-- Improvement_TechYieldChanges
------------------------------
INSERT INTO Improvement_TechYieldChanges
		(ImprovementType,				TechType, YieldType, Yield)
SELECT 	ImprovementType||'_JAR_ATOLL',  TechType, YieldType, Yield
from Improvement_TechYieldChanges where ImprovementType in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE');
------------------------------
-- Policy_ImprovementYieldChanges
------------------------------
INSERT INTO Policy_ImprovementYieldChanges
		(PolicyType,	ImprovementType,				YieldType, Yield)
SELECT	 PolicyType,	ImprovementType||'_JAR_ATOLL',	YieldType, Yield
from Policy_ImprovementYieldChanges where ImprovementType in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE');
------------------------------
-- Belief_ImprovementYieldChanges
------------------------------
INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType, ImprovementType, 				YieldType, Yield)
SELECT	 BeliefType, ImprovementType||'_JAR_ATOLL',	YieldType, Yield
from Belief_ImprovementYieldChanges where ImprovementType in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE');
------------------------------
-- Improvement_Yields
------------------------------
INSERT INTO Improvement_Yields
		(ImprovementType,				YieldType, Yield)
SELECT	 ImprovementType||'_JAR_ATOLL',	YieldType, Yield
from Improvement_Yields where ImprovementType in ('IMPROVEMENT_CITADEL', 'IMPROVEMENT_ACADEMY', 'IMPROVEMENT_CUSTOMS_HOUSE', 'IMPROVEMENT_MANUFACTORY', 'IMPROVEMENT_HOLY_SITE') UNION ALL
SELECT	 Type,			'YIELD_GREAT_GENERAL_POINTS', 1
from Improvements where Type in ('IMPROVEMENT_CITADEL_JAR_ATOLL', 'IMPROVEMENT_ACADEMY_JAR_ATOLL', 'IMPROVEMENT_CUSTOMS_HOUSE_JAR_ATOLL', 'IMPROVEMENT_MANUFACTORY_JAR_ATOLL', 'IMPROVEMENT_HOLY_SITE_JAR_ATOLL');
--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================
-- Leaders
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Leaders 
		(Type, 					Description, 					Civilopedia, 							CivilopediaTag, 						ArtDefineTag, 				IconAtlas, 					PortraitIndex)
VALUES	('LEADER_JAR_NANMADOL',	'TXT_KEY_LEADER_JAR_NANMADOL',	'TXT_KEY_LEADER_JAR_NANMADOL_PEDIA',	'TXT_KEY_LEADER_JAR_NANMADOL_PEDIA',	'Jar_Isokelekel_Scene.xml','JAR_NANMADOL_ICON_ATLAS',	0);

UPDATE Leaders SET Personality='PERSONALITY_COALITION', --PrimaryVictoryPursuit  = 'VICTORY_PURSUIT_DOMINATION',SecondaryVictoryPursuit= 'VICTORY_PURSUIT_DIPLOMACY',
VictoryCompetitiveness=5, WonderCompetitiveness=7, 	MinorCivCompetitiveness=8, 	Boldness=8, DiploBalance=7, WarmongerHate=5, 
DenounceWillingness=4, 	DoFWillingness=7, Loyalty=6, Neediness=5, Forgiveness=6, Chattiness=4, Meanness=7 
WHERE Type='LEADER_JAR_NANMADOL';
--------------------------------------------------------------------------------------------------------------------------		
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 			MajorCivApproachType, 			Bias)
VALUES	('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_WAR', 		7),
		('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_HOSTILE', 	4),
		('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_DECEPTIVE', 7),
		('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_GUARDED', 	6),
		('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_AFRAID', 	4),
		('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_FRIENDLY', 	6),
		('LEADER_JAR_NANMADOL',	'MAJOR_CIV_APPROACH_NEUTRAL', 	10);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 			MinorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_NANMADOL',	'MINOR_CIV_APPROACH_IGNORE', 		4),
		('LEADER_JAR_NANMADOL',	'MINOR_CIV_APPROACH_FRIENDLY', 		6),
		('LEADER_JAR_NANMADOL',	'MINOR_CIV_APPROACH_PROTECTIVE', 	6),
		('LEADER_JAR_NANMADOL',	'MINOR_CIV_APPROACH_CONQUEST', 		5),
		('LEADER_JAR_NANMADOL',	'MINOR_CIV_APPROACH_BULLY', 		4);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Flavors
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_Flavors 
		(LeaderType, 				FlavorType, 					Flavor)
VALUES	('LEADER_JAR_NANMADOL',	'FLAVOR_OFFENSE', 					7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_DEFENSE', 					8),
		('LEADER_JAR_NANMADOL',	'FLAVOR_CITY_DEFENSE', 				7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_MILITARY_TRAINING', 		7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_RECON', 					6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_RANGED', 					7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_MOBILE', 					5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_NAVAL', 					8),
		('LEADER_JAR_NANMADOL',	'FLAVOR_NAVAL_RECON', 				7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_NAVAL_GROWTH', 				9),
		('LEADER_JAR_NANMADOL',	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	10),
		('LEADER_JAR_NANMADOL',	'FLAVOR_AIR', 						5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_EXPANSION', 				7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_GROWTH', 					7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_TILE_IMPROVEMENT', 			9),
		('LEADER_JAR_NANMADOL',	'FLAVOR_INFRASTRUCTURE', 			7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_PRODUCTION', 				7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_GOLD', 						7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_SCIENCE', 					5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_CULTURE', 					6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_HAPPINESS', 				6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_GREAT_PEOPLE', 				6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_WONDER', 					5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_RELIGION', 					5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_DIPLOMACY', 				6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_SPACESHIP', 				4),
		('LEADER_JAR_NANMADOL',	'FLAVOR_WATER_CONNECTION', 			9),
		('LEADER_JAR_NANMADOL',	'FLAVOR_NUKE', 						5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_USE_NUKE', 					5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_ESPIONAGE', 				7),
		('LEADER_JAR_NANMADOL',	'FLAVOR_AIRLIFT', 					6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_I_TRADE_DESTINATION', 		6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_I_TRADE_ORIGIN', 			6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_I_SEA_TRADE_ROUTE', 		6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_I_LAND_TRADE_ROUTE', 		5),
		('LEADER_JAR_NANMADOL',	'FLAVOR_ARCHAEOLOGY', 				6),
		('LEADER_JAR_NANMADOL',	'FLAVOR_AIR_CARRIER', 				5);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 			TraitType)
VALUES	('LEADER_JAR_NANMADOL',	'TRAIT_JAR_NANMADOL');	
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilizations 	
		(Type, 							Description,						 ShortDescription,						Adjective,								Civilopedia, 							CivilopediaTag, 				 DefaultPlayerColor,				ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,					PortraitIndex,	AlphaIconAtlas,				SoundtrackTag,  MapImage, 				DawnOfManQuote, 						DawnOfManImage)
SELECT	'CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CIV_JAR_NANMADOL_DESC',	 'TXT_KEY_CIV_JAR_NANMADOL_SHORT_DESC',	'TXT_KEY_CIV_JAR_NANMADOL_ADJECTIVE',	'TXT_KEY_CIV5_JAR_NANMADOL_TEXT_1', 	'TXT_KEY_CIV5_JAR_NANMADOL',	 'PLAYERCOLOR_JAR_NANMADOL',		ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'JAR_NANMADOL_ICON_ATLAS',	1,				'JAR_NANMADOL_ALPHA_ATLAS',	SoundtrackTag, 	'Jar_NanMadolMap.dds',	'TXT_KEY_CIV5_DAWN_JAR_NANMADOL_TEXT',	'Jar_NanMadolDOM.dds'
FROM Civilizations WHERE Type = 'CIVILIZATION_POLYNESIA';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_CityNames
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_CityNames 
		(CivilizationType, 					CityName)
VALUES	('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_01'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_02'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_03'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_04'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_05'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_06'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_07'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_08'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_09'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_10'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_11'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_12'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_13'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_14'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_15'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_16'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_17'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_18'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_19'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_20'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_21'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_22'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_23'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_24'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_25'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_26'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_27'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_28'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_29'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_30'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_31'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_32'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_33'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_34'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_35'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_36'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_37'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_CITY_NAME_JAR_NANMADOL_38');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeBuildingClasses
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 				BuildingClassType)
SELECT	'CIVILIZATION_JAR_NANMADOL', 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';
--------------------------------------------------------------------------------------------------------------------------		
-- Civilization_FreeTechs
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 				TechType)
SELECT	'CIVILIZATION_JAR_NANMADOL', 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeUnits
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 				UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_JAR_NANMADOL', 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Leaders
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Leaders 
		(CivilizationType, 				LeaderheadType)
VALUES	('CIVILIZATION_JAR_NANMADOL',	'LEADER_JAR_NANMADOL');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_BuildingClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 		BuildingType)
VALUES	('CIVILIZATION_JAR_NANMADOL',	'BUILDINGCLASS_HARBOR',	'BUILDING_JAR_KEPIDAU');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 				UnitClassType, 				UnitType)
VALUES	('CIVILIZATION_JAR_NANMADOL',	'UNITCLASS_GREAT_GENERAL',	'UNIT_JAR_NAHNKEN');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Religions
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Religions 
		(CivilizationType, 				ReligionType)
SELECT 	'CIVILIZATION_JAR_NANMADOL',	ReligionType
FROM Civilization_Religions WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Along_Ocean 
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Along_Ocean 
		(CivilizationType, 					StartAlongOcean)
VALUES	('CIVILIZATION_JAR_NANMADOL', 		1);
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Place_First_Along_Ocean
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Place_First_Along_Ocean 
		(CivilizationType, 					PlaceFirst)
VALUES	('CIVILIZATION_JAR_NANMADOL', 		1);
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Region_Avoid
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Region_Avoid
		(CivilizationType, 					RegionType)
VALUES	('CIVILIZATION_JAR_NANMADOL', 		'REGION_DESERT');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_SpyNames
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 					SpyName)
VALUES	('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_0'),	
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_1'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_2'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_3'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_4'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_5'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_6'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_7'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_8'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_9'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_10'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_11'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_12'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_13'),
		('CIVILIZATION_JAR_NANMADOL',	'TXT_KEY_SPY_NAME_JAR_NANMADOL_14');
--==========================================================================================================================	
-- DIPLOMACY
--==========================================================================================================================	
-- Diplomacy_Responses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Diplomacy_Responses
		(LeaderType, 				ResponseType, 								Response, 													Bias)
VALUES 	('LEADER_JAR_NANMADOL', 	'RESPONSE_AI_DOF_BACKSTAB', 				'TXT_KEY_LEADER_JAR_NANMADOL_DENOUNCE_FRIEND%', 			500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_ATTACKED_HOSTILE', 				'TXT_KEY_LEADER_JAR_NANMADOL_ATTACKED_HOSTILE%', 			500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_DEFEATED', 						'TXT_KEY_LEADER_JAR_NANMADOL_DEFEATED%', 					500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_DOW_GENERIC', 					'TXT_KEY_LEADER_JAR_NANMADOL_DOW_GENERIC%', 				500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_FIRST_GREETING', 					'TXT_KEY_LEADER_JAR_NANMADOL_FIRSTGREETING%', 				500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_RESPONSE_TO_BEING_DENOUNCED', 	'TXT_KEY_LEADER_JAR_NANMADOL_RESPONSE_TO_BEING_DENOUNCED%', 500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_WORK_AGAINST_SOMEONE', 			'TXT_KEY_LEADER_JAR_NANMADOL_DENOUNCE%', 					500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_WORK_WITH_US', 					'TXT_KEY_LEADER_JAR_NANMADOL_DEC_FRIENDSHIP%', 				500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_GREETING_HOSTILE_REPEAT', 		'TXT_KEY_LEADER_JAR_NANMADOL_GREETING_HOSTILE_REPEAT%', 	500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_REPEAT_TRADE', 					'TXT_KEY_LEADER_JAR_NANMADOL_REPEAT_TRADE%', 				500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_GREETING_POLITE_HELLO', 			'TXT_KEY_LEADER_JAR_NANMADOL_GREETING_POLITE_HELLO%', 		500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_GREETING_NEUTRAL_HELLO', 			'TXT_KEY_LEADER_JAR_NANMADOL_GREETING_NEUTRAL_HELLO%',		500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_GREETING_HOSTILE_HELLO', 			'TXT_KEY_LEADER_JAR_NANMADOL_GREETING_HOSTILE_HELLO%', 		500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_GREETING_WORKING_WITH', 			'TXT_KEY_LEADER_JAR_NANMADOL_GREETING_WORKING_WITH%', 		500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_GREETING_HOSTILE_HUMAN_IS_WARMONGER', 'TXT_KEY_LEADER_JAR_NANMADOL_GREETING_HOSTILE_HUMAN_IS_WARMONGER%', 500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_DOW_BETRAYAL', 					'TXT_KEY_LEADER_JAR_NANMADOL_DOW_BETRAYAL%', 				500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_RETURNED_CIVILIAN', 				'TXT_KEY_LEADER_JAR_NANMADOL_CIVILIAN%', 					500),
		('LEADER_JAR_NANMADOL', 	'RESPONSE_REQUEST', 						'TXT_KEY_LEADER_JAR_NANMADOL_RESPONSE_REQUEST%', 			500);
--==========================================================================================================================
--==========================================================================================================================